

package com.nantian.sc.cloud.common.security.exception;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.nantian.sc.cloud.common.security.component.ScAuth2ExceptionSerializer;

/**
 *
 * @date 2018/7/8
 */
@JsonSerialize(using = ScAuth2ExceptionSerializer.class)
public class InvalidException extends ScAuth2Exception {

	public InvalidException(String msg, Throwable t) {
		super(msg);
	}

	@Override
	public String getOAuth2ErrorCode() {
		return "invalid_exception";
	}

	@Override
	public int getHttpErrorCode() {
		return 426;
	}

}
